<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: _cel Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct__cel.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_cel Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for _cel:</div>
<div class="dyncontent">
<div class="center"><img src="struct__cel__coll__graph.png" border="0" usemap="#__cel_coll__map" alt="Collaboration graph"/></div>
<map name="__cel_coll__map" id="__cel_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0fd3345f3070627989ff576df4659d32"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__cel.html#a0fd3345f3070627989ff576df4659d32">elt</a></td></tr>
<tr class="separator:a0fd3345f3070627989ff576df4659d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad48eae66b6cc6dee63c22d676bf0ed3a"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct__cel.html">_cel</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__cel.html#ad48eae66b6cc6dee63c22d676bf0ed3a">next</a></td></tr>
<tr class="separator:ad48eae66b6cc6dee63c22d676bf0ed3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="kb__cel_8h_source.html#l00008">8</a> of file <a class="el" href="kb__cel_8h_source.html">kb_cel.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a0fd3345f3070627989ff576df4659d32"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _cel::elt</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="kb__cel_8h_source.html#l00009">9</a> of file <a class="el" href="kb__cel_8h_source.html">kb_cel.h</a>.</p>

<p>Referenced by <a class="el" href="kb__fifo_8c_source.html#l00151">kb_fifo_copy()</a>, <a class="el" href="kb__fifo_8c_source.html#l00124">kb_fifo_dequeue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00062">kb_fifo_enqueue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00089">kb_fifo_head()</a>, and <a class="el" href="kb__fifo_8c_source.html#l00177">kb_fifo_printFifo()</a>.</p>

</div>
</div>
<a class="anchor" id="ad48eae66b6cc6dee63c22d676bf0ed3a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct__cel.html">_cel</a>* _cel::next</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="kb__cel_8h_source.html#l00010">10</a> of file <a class="el" href="kb__cel_8h_source.html">kb_cel.h</a>.</p>

<p>Referenced by <a class="el" href="kb__fifo_8c_source.html#l00151">kb_fifo_copy()</a>, <a class="el" href="kb__fifo_8c_source.html#l00124">kb_fifo_dequeue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00062">kb_fifo_enqueue()</a>, <a class="el" href="kb__fifo_8c_source.html#l00177">kb_fifo_printFifo()</a>, and <a class="el" href="kb__fifo_8c_source.html#l00100">kb_fifo_remove()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="kb__cel_8h_source.html">kb_cel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct__cel.html">_cel</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:20 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
